Class | Tk::Iwidgets::Datefield
In: | tk/lib/tkextlib/iwidgets/datefield.rb
Parent: | Tk::Iwidgets::Labeledwidget

### Methods

get get_clicks get_string isvalid? show show_now valid?

### Constants

TkCommandNames | = | ['::iwidgets::datefield'.freeze].freeze
WidgetClassName | = | 'Datefield'.freeze

### Public Instance methods

get()

Alias for get_string

get_clicks()

[Source]

    # File tk/lib/tkextlib/iwidgets/datefield.rb, line 41
      def get_clicks
        number(tk_call(@path, 'get', '-clicks'))
      end

get_string()

[Source]

    # File tk/lib/tkextlib/iwidgets/datefield.rb, line 36
      def get_string
        tk_call(@path, 'get', '-string')
      end

isvalid?()

Alias for valid?

show(date=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/datefield.rb, line 50
      def show(date=None)
        tk_call(@path, 'show', date)
        self
      end

show_now()

[Source]

    # File tk/lib/tkextlib/iwidgets/datefield.rb, line 54
      def show_now
        tk_call(@path, 'show', 'now')
        self
      end

valid?()

[Source]

    # File tk/lib/tkextlib/iwidgets/datefield.rb, line 45
      def valid?
        bool(tk_call(@path, 'isvalid'))
      end

[Validate]